

.carousel {
  width: 100vw;
  height: 100vh;
  border-radius: 3px;
  overflow: hidden;
  position: relative;
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.2);
}
.carousel:hover .controls {
  opacity: 1;
}
.carousel .controls {
  opacity: 0;
  display: flex;
  position: absolute;
  top: 50%;
  left: 0;
  justify-content: space-between;
  width: 100%;
  z-index: 99999;
  transition: all ease 0.5s;
}
.carousel .controls .control {
  margin: 0 5px;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 40px;
  width: 40px;
  border-radius: 50%;
  background-color: rgba(255, 255, 255, 0.7);
  opacity: 0.5;
  transition: ease 0.3s;
  cursor: pointer;
}
.carousel .controls .control:hover {
  opacity: 1;
}
.carousel .slides {
  position: absolute;
  top: 50%;
  left: 0;
  transform: translateY(-50%);
  display: flex;
  height:100%;
  width: 100%;
  transition: 10s linear all;
}
.carousel .slides .slide {
  min-width: 100%;
  min-height: 100%;
  height: auto;
}